<?php
namespace App\Controllers;

use CodeIgniter\Controller;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;
use App\Models\Login_Model;

class Login extends Controller
{
    protected $session;
    protected $encrypter;
    protected $Login_Model;
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->session = \Config\Services::session();
        $this->session->start();
        $this->encrypter = \Config\Services::encrypter();
        $this->Login_Model = new Login_Model();
        $this->db = \Config\Database::connect();
        $this->data['app_name'] = $this->db->table('tbl_settings')->where('type', 'app_name')->get()->getResult();
        $this->data['app_logo'] = $this->db->table('tbl_settings')->where('type', 'app_logo')->get()->getResult();
        $this->data['app_logo_full'] = $this->db->table('tbl_settings')->where('type', 'app_logo_full')->get()->getResult();
    }
    public function index()
    {
        $isLoggedIn = $this->session->get('isLoggedIn');
        if (!isset($isLoggedIn) || $isLoggedIn != TRUE) {
            return view('login', $this->data);
        } else {
            return redirect('dashboard');
        }
    }
    public function checklogin()
    {
        $password = $this->request->getPost('password');
        $username = $this->request->getPost('username');
        $data = $this->Login_Model->where('username', $username)->findAll();
        if ($data) {
            $pass = $this->encrypter->decrypt(base64_decode($data[0]['password']));
            $name = $data[0]['username'];
            if ($pass == $password && $username == $name) {
                $sessionArray = array(
                    'adminName'  => $name,
                    'adminId'    => $data[0]['id'],
                    'isLoggedIn' => TRUE
                );
                $this->session->set($sessionArray);
            } else {
                $this->session->setFlashdata('error', 'Invalid Username or Password');
            }
        } else {
            $this->session->setFlashdata('error', 'Invalid Username or Password');
        }
        return redirect('/');
    }
    public function checkOldPass()
    {
        $id = $this->session->get('adminId');
        $password = $this->request->getvar('oldpass');
        $data = $this->Login_Model->where('id', $id)->findAll();
        if ($data) {
            $pass = $this->encrypter->decrypt(base64_decode($data[0]['password']));
            if ($password == $pass) {
                return $this->response->setJSON(TRUE);
            } else {
                return $this->response->setJSON(FALSE);
            }
        } else {
            return $this->response->setJSON(FALSE);
        }
    }
    public function resetpassword()
    {
        if (!$this->session->get('isLoggedIn')) {
            return redirect('/');
        } else {
            return view('changePassword', $this->data);
        }
    }
    public function change_password()
    {
        if (!$this->session->get('isLoggedIn')) {
            return redirect('/');
        } else {
            if (ALLOW_MODIFICATION) {
                $this->session->setFlashdata('error', DEMO_VERSION_MSG);
            } else {
                $new_password = $this->request->getVar('newpassword');
                $confirm_password = $this->request->getVar('confirmpassword');
                if ($new_password == $confirm_password) {
                    $id = $this->session->get('adminId');
                    $pass = base64_encode($this->encrypter->encrypt($confirm_password));
                    $data = [
                        'password' => $pass,
                    ];
                    $this->Login_Model->update($id, $data);
                    $this->session->setFlashdata('success', 'Password Change Successfully..');
                } else {
                    $this->session->setFlashdata('error', 'New and Confirm Password not Match..');
                }
            }
            return redirect('resetpassword');
        }
    }
    public function logout()
    {
        $this->session->destroy();
        return redirect('/');
    }
}